package com.ruoyi.domain.vo;

import com.ruoyi.domain.UserPhotoStorage;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 照片存储VO类
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PhotoStorageVO {

    /**
     * 图片的创建时间
     */
    private String createTime;

    /**
     * 图片数组
     */
    private List<UserPhotoStorage> userPhotoStorageList;

}
