package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel(value = "ReviewEnterpriseArchiveViewItemVO", description = "条目VO")
@Accessors(chain = true)
@Data
public class ReviewEnterpriseArchiveViewItemVO {

    // 文件目录
    @ApiModelProperty("文件目录")
    private String catalogue;

    // 标准章节
    @ApiModelProperty("标准章节")
    private String chapter;

    // 标准要求
    @ApiModelProperty("标准要求")
    private String standard;

    // 要点要求
    @ApiModelProperty("要点要求")
    private String keyPoint;

    // 企业留档文件id
    @ApiModelProperty("企业留档文件id")
    private Long archiveId;
}
