package com.ruoyi.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.TestScenario;
import com.ruoyi.web.request.TestScenarioRequest;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TestScenarioMapper extends BaseMapper<TestScenario> {

    /**
     * 查询测试场景库列表
     *
     * @param testScenarioRequest 测试场景库
     * @return 测试场景库集合
     */
    public List<TestScenario> selectTestScenarioList(TestScenarioRequest testScenarioRequest);
}
