package com.ruoyi.service;

import com.ruoyi.domain.TestUseCase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.request.TestUserCaseRequest;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_test_usecase(测试用例)】的数据库操作Service
* @createDate 2024-02-18 13:41:28
*/
public interface TestUseCaseService extends IService<TestUseCase> {
    /**
     * 查询测试用例列表
     *
     * @param testUserCaseRequest 测试用例库
     * @return 测试用例集合
     */
    public List<TestUseCase> selectseCaseList(TestUserCaseRequest testUserCaseRequest);
}
