package com.ruoyi.service.impl;

import com.ruoyi.service.StrategyCarReviewTask;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class StrategyCarReviewTaskContext {

    private Map<String, StrategyCarReviewTask> resourceMap = new ConcurrentHashMap<>();

    public void putResource(String key, StrategyCarReviewTask strategyCarReviewTask) {
        resourceMap.put(key, strategyCarReviewTask);
    }


    public StrategyCarReviewTask getResource(String operation){
        return resourceMap.get(operation);
    }
}
