package com.ruoyi.service.impl;

import com.ruoyi.service.StrategyReviewSceneChange;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class StrategyReviewSceneChangeContext {

    private final Map<String, StrategyReviewSceneChange> strategyMap = new ConcurrentHashMap<>();

    public void putResource(String key, StrategyReviewSceneChange strategySystemReviewTask) {
        strategyMap.put(key, strategySystemReviewTask);
    }

    public StrategyReviewSceneChange getResource(String operation){
        return strategyMap.get(operation);
    }

}
