package com.ruoyi.service.impl;

import com.ruoyi.service.TaskState;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class TaskStateContext {

    private final Map<String, TaskState> strategyMap = new ConcurrentHashMap<>();

    public void putResource(String key, TaskState taskState) {
        strategyMap.put(key, taskState);
    }

    public TaskState getResource(String operation){
        return strategyMap.get(operation);
    }

}
