package com.ruoyi.web;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.service.MatrixService;
import com.ruoyi.web.response.MatrixResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "审查细则的审查结果")
@RestController
@RequestMapping("/usecase/matrix")
public class MatrixController {

    @Autowired
    private MatrixService matrixService;
    @ApiOperation("查看任务详情")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/getInfo")
    public R<MatrixResponse> getInfo() {
        return R.ok(matrixService.getMatrix());
    }

}
