package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ReviewSceneChangeTaskFindCreateRequest", description = "查询发布的任务")
@Data
public class ReviewSceneChangeTaskFindCreateRequest extends PageDomain {

    @ApiModelProperty("评审类型")
    private String operationSort;

    @ApiModelProperty("标准要求分类[system(体系审查)、car(车型审查)]")
    private String type;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("评审状态")
    private String taskStatus;

    @ApiModelProperty("检验标准")
    private Long inspectStandardId;

}
