package com.ruoyi.web.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "StandardEditRequest", description = "编辑标准")
@Data
public class StandardEditRequest {

    @ApiModelProperty("主键")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @ApiModelProperty("标准名称")
    private String name;

    @ApiModelProperty("标准号")
    private String standardNo;

    @ApiModelProperty("文件路径")
    private String file;

    @ApiModelProperty("标准分类")
    private String standardType;

    @ApiModelProperty("标准状态")
    private String standardStatus;

    @ApiModelProperty("发布日期")
    private Date releaseDate;

    @ApiModelProperty("实施日期")
    private Date implementationDate;
}
