package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "TaskFindFinishRequest", description = "查询完成的总任务")
@Data
public class TaskFindFinishRequest extends PageDomain {

    @ApiModelProperty("检验依据")
    private Long standardId;

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("车辆型号")
    private String productModel;

    @ApiModelProperty("检验项目")
    private String inspectionItem;
}
