package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "TaskFindRequest", description = "用户创建的任务")
@Data
public class TaskFindRequest extends PageDomain {

    @ApiModelProperty("检验依据")
    private Long standardId;

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("车辆型号")
    private String productModel;

    @ApiModelProperty("检验项目")
    private String inspectionItem;

    @ApiModelProperty("任务状态")
    private String taskStatus;
}
