package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 用户照片存储新增所需的对象
 * @author gxk
 */
@Data
@ApiModel
public class UserPhotoStorageCreateRequest {

    /** 图片路径(以逗号分隔) */
    @ApiModelProperty("图片路径")
    @NotEmpty(message = "图片路径不能为空")
    @NotNull(message = "图片路径不能为空")
    private String path;

}
