package com.ruoyi.web.request;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户照片存储集合所需的对象
 * @author gxk
 */
@Data
@ApiModel
public class UserPhotoStorageListRequest extends PageDomain {

    /** 用户id */
    @ApiModelProperty("用户ID")
    private Long userId;

    /** 用户账号 */
    @ApiModelProperty("用户账号")
    private String username;

}
