package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 用户照片存储删除所需的对象
 * @author gxk
 */
@Data
@ApiModel
public class UserPhotoStorageRemoveRequest {

    @ApiModelProperty("照片存储ID集合")
    @NotEmpty(message = "照片存储ID集合不能为空")
    @NotNull(message = "照片存储ID集合不能为空")
    private Long[] ids;

}
