package com.ruoyi.web.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 检验内容库(标准)响应体
 * @author gxk
 */
@Data
@ApiModel
public class ReviewStandardResponse  {

    @ApiModelProperty("ID")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 章节
     */
    @ApiModelProperty("章节")
    private String chapter;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 测试方法(车型试验专有)
     */
    @ApiModelProperty("测试方法(车型试验专有)")
    private String testMethod;

}
