package com.ruoyi.domain.vo;

import lombok.Builder;
import lombok.Data;

/**
 * PDF的测试VO类
 * @author gxk
 */
@Data
@Builder
public class PdfTestVO {

    /**
     * 测试编号
     */
    private String testNumber;

    /**
     * 样品编号
     */
    private String sampleNumber;

    /**
     * 检测项目
     */
    private String testItem;

    /**
     * 风险等级
     */
    private String riskLevel;

    /**
     * 测试方法
     */
    private String testMethod;

    /**
     * 测试结果
     */
    private String testResult;

    /**
     * 漏洞危害
     */
    private String vulnerabilityHazard;

    /**
     * 测试详情
     */
    private String testDetails;

    /**
     * 修复建议
     */
    private String repairSuggestion;

}
