package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "ReviewEnterpriseArchiveViewVO", description = "企业留档文件VO")
@Data
public class ReviewEnterpriseArchiveViewVO {

    // 企业留档文件id
    @ApiModelProperty("企业留档文件id")
    private Long id;

    // 企业留档文件名称
    @ApiModelProperty("企业留档文件名称")
    private String fileName;

    // 条目
    @ApiModelProperty("条目")
    private List<ReviewEnterpriseArchiveViewItemVO> items;

}
