package com.ruoyi.mapper;

import com.ruoyi.domain.ReviewTaskInbox;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_system_review_task_inbox(体系审查任务收件箱（目前用来获取审查场景变更通知）)】的数据库操作Mapper
* @createDate 2023-12-26 09:55:39
* @Entity com.ruoyi.domain.SystemReviewTaskInbox
*/
@Repository
public interface ReviewTaskInboxMapper extends BaseMapper<ReviewTaskInbox> {

    List<ReviewTaskInbox> findConfirmListByTaskId(@Param("taskId") Long taskId);

    List<ReviewTaskInbox> findConfirmList(@Param("reviewTaskId") Long reviewTaskId, @Param("detailsId") Long detailsId);

}




