package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.TestScenario;
import com.ruoyi.domain.TestType;
import com.ruoyi.web.request.TestScenarioRequest;
import com.ruoyi.web.request.TestTypeRequest;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TestTypeMapper extends BaseMapper<TestType> {
    /**
     * 查询测试场景库列表
     *
     * @param testTypeRequest 测试场景库
     * @return 测试场景库集合
     */
    public List<TestType> selectTestTypeList(TestTypeRequest testTypeRequest);
}
