package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.TestScenario;
import com.ruoyi.domain.TestType;
import com.ruoyi.web.request.TestScenarioRequest;

import java.util.List;

public interface ITestScenarioService extends IService<TestScenario> {

    /**
     * 查询测试场景库列表
     *
     * @param testScenarioRequest 测试场景库
     * @return 测试场景库集合
     */
    public List<TestScenario> selectTestScenarioList(TestScenarioRequest testScenarioRequest);
}
