package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.TestType;
import com.ruoyi.web.request.TestTypeRequest;

import java.util.List;

public interface ITestTypeService extends IService<TestType> {

    /**
     * 查询测试类型库列表
     *
     * @param testTypeRequest 测试类型库
     * @return 测试类型库集合
     */
    public List<TestType> selectTestTypeList(TestTypeRequest testTypeRequest);
}
