package com.ruoyi.service;

import com.ruoyi.domain.ReviewTaskInbox;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.request.ReviewTaskInboxConfirmRequest;

/**
* @author wangfei
* @description 针对表【t_system_review_task_inbox(体系审查任务收件箱（目前用来获取审查场景变更通知）)】的数据库操作Service
* @createDate 2023-12-26 09:55:39
*/
public interface ReviewTaskInboxService extends IService<ReviewTaskInbox> {

    /**
     * 对受变更影响的问卷生成提醒消息
     * @param reviewSceneChangeTaskId
     */
    void saveNotify(Long reviewSceneChangeTaskId, String type);

    void confirm(ReviewTaskInboxConfirmRequest request);

}
