package com.ruoyi.service;

import com.ruoyi.domain.TaskUserRelation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_task_user_relation(体系审查任务&用户映射关系)】的数据库操作Service
* @createDate 2023-12-15 10:41:16
*/
public interface TaskUserRelationService extends IService<TaskUserRelation> {

    /**
     * 根据任务id查询小组成员
     * @param taskId
     * @return
     */
    List<TaskUserRelation> selectQTeamMembers(Long taskId);

}
