package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车企信息分页查询DTO
 * @author gxk
 */
@Data
@ApiModel
public class AutomobileEnterpriseListRequest extends PageDomain {

    /** 企业名称 */
    @ApiModelProperty("企业名称")
    private String enterpriseName;

    /** 地址 */
    @ApiModelProperty("地址")
    private String address;

    /** 邮编 */
    @ApiModelProperty("邮编")
    private String postcode;

    /** 企业联系人 */
    @ApiModelProperty("企业联系人")
    private String enterpriseContact;

    /** 联系电话 */
    @ApiModelProperty("联系电话")
    private String contactNumber;

}
