package com.ruoyi.web.request;

import com.ruoyi.domain.TaskUserRelation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "CarReviewTaskCreateRequest", description = "创建车辆审查任务")
@Data
public class CarReviewTaskCreateRequest {

    @ApiModelProperty("小组信息")
    private List<TaskUserRelation> auditors;

    /**
     * 是否创建车型问卷审查任务
     */
    @ApiModelProperty("是否创建车型问卷审查任务")
    private Boolean review;

    /**
     * 是否创建车型测试任务
     */
    @ApiModelProperty("是否创建车型测试任务")
    private Boolean test;

    /**
     * 标准id
     * 根据哪个标准新建的审查任务
     */
    @ApiModelProperty("标准id（根据哪个标准新建的审查任务）")
    private Long standardId;
}
