package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ReviewEnterpriseArchiveFindByTaskIdRequest", description = "根据任务id查询车企文件")
@Data
public class ReviewEnterpriseArchiveFindByTaskIdRequest extends PageDomain {

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件状态")
    private String status;

    @ApiModelProperty("文件识别号")
    private String identifyNumber;

    @ApiModelProperty("任务id")
    private Long taskId;
}
