package com.ruoyi.web.request;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 体系审查和车型审查检验内容请求实体类
 * @author gxk
 */
@Data
@ApiModel
public class ReviewStandardInspectionContentRequest {

    @ApiModelProperty("标准主键ID")
    @NotNull(message = "标准主键ID不能为空")
    private Long id;

}
