package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 用户照片存储修改所需的对象
 * @author gxk
 */
@Data
@ApiModel
public class UserPhotoStorageEditRequest {

    @ApiModelProperty("ID")
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty("图片路径")
    @NotEmpty(message = "路径不能为空")
    @NotNull(message = "路径不能为空")
    private String path;

}
