package com.ruoyi.web.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "DataStatisticsResponse", description = "任务数据统计")
@Data
public class DataStatisticsResponse {

    @ApiModelProperty("体系用例审查通过率")
    private Double systemDetailsPass;

    @ApiModelProperty("体系审查细则")
    private Integer systemDetails;

    @ApiModelProperty("体系审查细则通过")
    private Integer systemDetailsPassNum;

    @ApiModelProperty("体系审查细则未通过")
    private Integer systemDetailsNoPassNum;

    @ApiModelProperty("体系细则审查中")
    private Integer systemDetailsUnderNum;

    @ApiModelProperty("体系标准审查通过率")
    private Double systemStandardsPass;

    @ApiModelProperty("体系标准条款")
    private Integer systemStandards;

    @ApiModelProperty("体系标准条款通过")
    private Integer systemStandardsPassNum;

    @ApiModelProperty("体系标准条款未通过")
    private Integer systemStandardsNoPassNum;

    @ApiModelProperty("体系标准审查中")
    private Integer systemStandardsUnderNum;

    @ApiModelProperty(" 车型审查用例审查通过率")
    private Double carDetailsPass;

    @ApiModelProperty(" 车型审查审查细则")
    private Integer carDetails;

    @ApiModelProperty(" 车型审查审查细则通过")
    private Integer carDetailsPassNum;

    @ApiModelProperty(" 车型审查审查细则未通过")
    private Integer carDetailsNoPassNum;

    @ApiModelProperty(" 车型审查细则审查中")
    private Integer carDetailsUnderNum;

    @ApiModelProperty(" 车型审查标准审查通过率")
    private Double carStandardsPass;

    @ApiModelProperty(" 车型审查标准条款")
    private Integer carStandards;

    @ApiModelProperty(" 车型审查标准条款通过")
    private Integer carStandardsPassNum;

    @ApiModelProperty(" 车型审查标准条款未通过")
    private Integer carStandardsNoPassNum;

    @ApiModelProperty(" 车型审查标准审查中")
    private Integer carStandardsUnderNum;

    @ApiModelProperty(" 车型试验用例审查通过率")
    private Double testDetailsPass;

    @ApiModelProperty(" 车型试验审查细则")
    private Integer testDetails;

    @ApiModelProperty(" 车型试验审查细则通过")
    private Integer testDetailsPassNum;

    @ApiModelProperty(" 车型试验审查细则未通过")
    private Integer testDetailsNoPassNum;

    @ApiModelProperty(" 车型试验细则审查中")
    private Integer testDetailsUnderNum;

    @ApiModelProperty(" 车型试验标准审查通过率")
    private Double testStandardsPass;

    @ApiModelProperty(" 车型试验标准条款")
    private Integer testStandards;

    @ApiModelProperty(" 车型试验标准条款通过")
    private Integer testStandardsPassNum;

    @ApiModelProperty(" 车型试验标准条款未通过")
    private Integer testStandardsNoPassNum;

    @ApiModelProperty(" 车型试验标准审查中")
    private Integer testStandardsUnderNum;

}
