package com.ruoyi.web.response;


import com.ruoyi.domain.ReviewKeyPoint;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 体系审查、车型审查点击检验内容后的返回值
 * @author gxk
 */
@ApiModel
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReviewStandardInspectionContentResponse {

    @ApiModelProperty("检验内容集合")
    private List<ReviewKeyPoint> keyPointList;

}
