package com.ruoyi.web.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "SampleListResponse", description = "样品信息")
@Data
public class SampleListResponse {

    @ApiModelProperty("主键")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("关联车企的id")
    private Long enterpriseId;

    @ApiModelProperty("车辆识别码")
    private String identificationCode;

    @ApiModelProperty("样品编号")
    private String sampleNumber;

    @ApiModelProperty("样品名称")
    private String sampleName;
}
